Bug 208029 - net-mgmt/zabbix3-{server,proxy,agent}: Add optional SSL/TLS support
Summary: net-mgmt/zabbix3-{server,proxy,agent}: Add optional SSL/TLS support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 207616
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-15 16:08 UTC by Martin Waschbüsch
Modified: 2016-04-06 04:42 UTC (History)
5 users (show)

See Also:
martin: maintainer-feedback? (pg)


Attachments
Enable SSL options for zabbix3 (1.84 KB, patch)
2016-03-15 18:08 UTC, Martin Waschbüsch
no flags Details | Diff
Enable SSL options for zabbix3-server (1.74 KB, patch)
2016-03-15 21:32 UTC, Martin Waschbüsch
pg: maintainer-approval+
Details | Diff
Enable SSL options for zabbix3-agent (594 bytes, patch)
2016-03-15 21:33 UTC, Martin Waschbüsch
pg: maintainer-approval+
Details | Diff
Enable SSL options for zabbix3-proxy (479 bytes, patch)
2016-03-15 21:34 UTC, Martin Waschbüsch
pg: maintainer-approval+
Details | Diff
Poudriere Logs (44.57 KB, application/x-bzip2)
2016-03-15 21:35 UTC, Martin Waschbüsch
no flags Details
Enable SSL options for zabbix3-server (1.69 KB, patch)
2016-04-01 17:06 UTC, Martin Waschbüsch
pg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Waschbüsch 2016-03-15 16:08:15 UTC
Currently, there is no option to compile zabbix3-server, zabbix3-proxy or zabbix3-agent with TLS support.
Since one of the main new things about Zabbix 3 is encrypted communication between monitoring entities, this should definitely be a selectable option.
Comment 1 Mark Felder freebsd_committer 2016-03-15 16:13:25 UTC
Thank you for the report Martin

When there is an accepted patch I will gladly commit it.
Comment 2 Martin Waschbüsch 2016-03-15 16:27:10 UTC
(In reply to Mark Felder from comment #1)
Working on a patch as we speak... ;-)
Comment 3 Martin Waschbüsch 2016-03-15 18:08:43 UTC
Created attachment 168245 [details]
Enable SSL options for zabbix3

I hope I have gotten this right - I have successfully compiled server agent and proxy each with OpenSSL, GnuTLS and PolarSSL.
Comment 4 Martin Waschbüsch 2016-03-15 18:47:05 UTC
working on an updated patch - fixing things portlint complains about...
Comment 5 Martin Waschbüsch 2016-03-15 21:32:56 UTC
Created attachment 168265 [details]
Enable SSL options for zabbix3-server

Enable SSL options for zabbix3-server
Comment 6 Martin Waschbüsch 2016-03-15 21:33:27 UTC
Created attachment 168266 [details]
Enable SSL options for zabbix3-agent

Enable SSL options for zabbix3-agent
Comment 7 Martin Waschbüsch 2016-03-15 21:34:16 UTC
Created attachment 168267 [details]
Enable SSL options for zabbix3-proxy

Enable SSL options for zabbix3-proxy
Comment 8 Martin Waschbüsch 2016-03-15 21:35:51 UTC
Created attachment 168268 [details]
Poudriere Logs

Poudriere Logs for all combinations:

zabbix-agent with OpenSSL
zabbix-proxy with OpenSSL
zabbix-server with OpenSSL

zabbix-agent with GnuTLS
zabbix-proxy with GnuTLS
zabbix-server with GnuTLS

zabbix-agent with PolarSSL
zabbix-proxy with PolarSSL
zabbix-server with PolarSSL
Comment 9 Martin Waschbüsch 2016-03-15 21:39:26 UTC
After some cleanup and fixing (portlint showed some fatal errors, etc.), I completed and tested attached patches.
Please review and (hopefully) approve and commit.

Enjoy!

Martin
Comment 10 pg 2016-03-24 12:01:35 UTC
Approve, thanks!
Comment 11 Martin Waschbüsch 2016-03-25 08:56:01 UTC
(In reply to Mark Felder from comment #1)
Mark,
since we have approved patches now, can you have a look at this and commit?
Thanks a lot!

Best,

Martin
Comment 12 Martin Waschbüsch 2016-04-01 17:06:42 UTC
Created attachment 168875 [details]
Enable SSL options for zabbix3-server

Adjusted patch to conform to and work with recent portstree changes.
Specifically, I removed prepending
${PORTSDIR}/
from DEPENDS= lines
Comment 13 commit-hook freebsd_committer 2016-04-05 20:14:19 UTC
A commit references this bug:

Author: pi
Date: Tue Apr  5 20:13:50 UTC 2016
New revision: 412586
URL: https://svnweb.freebsd.org/changeset/ports/412586

Log:
  net-mgmt/zabbix3-{server,proxy,agent}: Add SSL/TLS support

  PR:		208029
  Submitted by:	Martin Waschbuesch <martin@waschbuesch.de>
  Approved by:	pakhom@pakhom.spb.ru (maintainer)

Changes:
  head/net-mgmt/zabbix3-agent/Makefile
  head/net-mgmt/zabbix3-proxy/Makefile
  head/net-mgmt/zabbix3-server/Makefile
Comment 14 Kurt Jaeger freebsd_committer 2016-04-05 20:15:41 UTC
Committed, thanks!
Comment 15 commit-hook freebsd_committer 2016-04-06 04:42:57 UTC
A commit references this bug:

Author: pi
Date: Wed Apr  6 04:42:52 UTC 2016
New revision: 412603
URL: https://svnweb.freebsd.org/changeset/ports/412603

Log:
  net-mgmt/zabbix3-server: IGNORE for 9.3 with explaination

  PR:		208029
  Submitted by:	mat

Changes:
  head/net-mgmt/zabbix3-server/Makefile